Skip to content
SolidRusT.ai

Entity search

POST
/data/v1/query/graph/search

Search for entities in the knowledge graph by name. Case-insensitive contains search across all entity names. Optionally filter by entity type.

Authorizations

Request Body required

object
query
required

Search text (case-insensitive contains match)

string
night
entity_type

Optional filter by entity type

string
limit

Maximum results

integer
default: 20 >= 1 <= 100

Responses

200

Successful response

object
query
string
results
Array<object>
object
id
string
name
string
entity_type

Entity category (e.g. ship, module, skill)

string
properties
object
key
additional properties
any
total
integer

400

Invalid request

object
error
object
message
string
type
string
code
string
param
string

401

Invalid or missing API key

object
error
object
message
string
type
string
code
string
param
string